dhcp6.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/dhcp6.h"`
`#include "lwip/prot/dhcp6.h"`
`#include "lwip/def.h"`
`#include "lwip/udp.h"`
`#include "lwip/dns.h"`
`#include <string.h>`
`#include "path/to/my/lwip_hooks.h"`

## Enumerations

enum | dhcp6_option_idx

## Functions

void | dhcp6_set_struct (struct netif *netif, struct dhcp6 *dhcp6)
void | dhcp6_cleanup (struct netif *netif)
err_t | dhcp6_enable_stateful (struct netif *netif)
err_t | dhcp6_enable_stateless (struct netif *netif)
void | dhcp6_disable (struct netif *netif)
void | dhcp6_nd6_ra_trigger (struct netif *netif, u8_t managed_addr_config, u8_t other_config)
void | dhcp6_tmr (void)

## Variables

struct dhcp6_option_info | dhcp6_rx_options [DHCP6_OPTION_IDX_MAX]

## Enumeration Type Documentation

## dhcp6_option_idx

enum dhcp6_option_idx

Option handling: options are parsed in dhcp6_parse_reply and saved in an array where other functions can load them from. This might be moved into the struct dhcp6 (not necessarily since lwIP is single-threaded and the array is only used while in recv callback).

## Function Documentation

## dhcp6_nd6_ra_trigger()

void dhcp6_nd6_ra_trigger | ( | struct netif * | netif,
|  | u8_t | managed_addr_config,
|  | u8_t | other_config
| ) |  |

This function is called from nd6 module when an RA message is received It triggers DHCPv6 requests (if enabled).

## dhcp6_tmr()

void dhcp6_tmr | ( | void |  | ) |

DHCPv6 timeout handling (this function must be called every 500ms, see DHCP6_TIMER_MSECS).

A DHCPv6 server is expected to respond within a short period of time. This timer checks whether an outstanding DHCPv6 request is timed out.

## Variable Documentation

## dhcp6_rx_options

struct dhcp6_option_info dhcp6_rx_options[DHCP6_OPTION_IDX_MAX]

Holds the decoded option info, only valid while in dhcp6_recv.